> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Update Connect OAuth configuration

PUT https://api-d.docusign.net/Management/v2/organizations/{organizationId}/connect/oauth
Content-Type: application/json

Updates the [OAuth for Docusign Connect configuration](/platform/webhooks/connect/validation-and-security/oauth-connect/) for an organization to the definition values provided in the API call body. See [Enable OAuth for Connect](/platform/webhooks/connect/validation-and-security/oauth-connect/#enable-oauth-for-connect) for an example Connect definition.

Required scopes: `connect_org_oauth_write_api`

Reference: https://developers.docusign.com/docs/admin-api/reference/organization/connect/putorganizationconnectoauthconfiguration

## Authentication

- `Authorization` header (bearer token, required) — OAuth2 Access code Grant

## Servers

- `https://api-d.docusign.net/Management` (Demo, default)
- `https://api.docusign.net/Management` (Production)

## Request

### Path parameters

- `organizationId` (string, required) — The GUID ID of the organization where the OAuth configuration is defined.

### Body (application/json)

This endpoint expects an OrganizationConnectOAuthConfiguration.

- `authorizationServerUrl` (string, optional)
- `clientId` (string, optional)
- `clientSecret` (string, optional)
- `scope` (string, optional)
- `customParameter` (map from string to string, optional)

## Response

### 200

OK

- `authorizationServerUrl` (string, optional)
- `clientId` (string, optional)
- `clientSecret` (string, optional)
- `scope` (string, optional)
- `customParameter` (map from string to string, optional)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "authorizationServerUrl": "string",
  "clientId": "string",
  "clientSecret": "string",
  "scope": "string",
  "customParameter": {}
}
```